netatalk 4.5.0
Free and Open Source Apple Filing Protocol (AFP) Server
Loading...
Searching...
No Matches
main.h File Reference
`#include <sys/types.h>`
`#include "config.h"`

Go to the source code of this file.

## Macros
#define | _PATH_ATALKDTMP "atalkd.tmp"

## Functions
int | ifconfig (const char *, unsigned long, struct sockaddr_at *)
void | setaddr (struct interface *, uint8_t, uint16_t, uint8_t, uint16_t, uint16_t)
void | bootaddr (struct interface *)
void | dumpconfig (struct interface *)

## Variables
int | transition
int | stabletimer
int | newrtmpdata

## Macro Definition Documentation

## ◆ _PATH_ATALKDTMP

#define _PATH_ATALKDTMP "atalkd.tmp"

## Function Documentation

## ◆ bootaddr()

void bootaddr | ( | struct interface * | iface | ) |

## ◆ dumpconfig()

void dumpconfig | ( | struct interface * | iface | ) |

## ◆ ifconfig()

int ifconfig | ( | const char * | iname,
|  | unsigned long | cmd,
|  | struct sockaddr_at * | sa )

## ◆ setaddr()

void setaddr | ( | struct interface * | iface,
|  | uint8_t | phase,
|  | uint16_t | net,
|  | uint8_t | node,
|  | uint16_t | first,
|  | uint16_t | last )

## Variable Documentation

## ◆ newrtmpdata

int newrtmpdata

## ◆ stabletimer

int stabletimer
| extern

## ◆ transition

int transition
| extern